import { Logger } from "./sentry/logger";
import { Hub, NodeClient } from "@sentry/node";
interface RewriteSourcesHook {
    (source: string, map: any): string;
}
interface DebugIdUploadPluginOptions {
    logger: Logger;
    assets?: string | string[];
    ignore?: string | string[];
    releaseName?: string;
    dist?: string;
    rewriteSourcesHook?: RewriteSourcesHook;
    handleRecoverableError: (error: unknown) => void;
    sentryHub: Hub;
    sentryClient: NodeClient;
    filesToDeleteAfterUpload?: string | string[];
    sentryCliOptions: {
        url: string;
        authToken: string;
        org?: string;
        project: string;
        vcsRemote: string;
        silent: boolean;
        headers?: Record<string, string>;
    };
}
export declare function createDebugIdUploadFunction({ assets, ignore, logger, releaseName, dist, handleRecoverableError, sentryHub, sentryClient, sentryCliOptions, rewriteSourcesHook, filesToDeleteAfterUpload, }: DebugIdUploadPluginOptions): (buildArtifactPaths: string[]) => Promise<void>;
export declare function prepareBundleForDebugIdUpload(bundleFilePath: string, uploadFolder: string, chunkIndex: number, logger: Logger, rewriteSourcesHook: RewriteSourcesHook): Promise<void>;
export {};
//# sourceMappingURL=debug-id-upload.d.ts.map